# 0.3.5 and higher

See log information available at:
https://artiphon.atlassian.net/wiki/spaces/ENG/pages/2209185797/Temari+Firmware+Releases

# 0.3.4

## Built from:

    temari_firmware: 8d56136 (Orba2), bb2be3c (OrbaStudio)
	esp32_temari: f9bcfb6
	capsense: 2988ebe

## New Features


## Bug Fixes
- Fix issue where persistent volume was not restored to DAC attenuator on power up (TEM-318)
- Fix issue where adjusting volume of the DAC on ORBA2 was broken (TEM-317)
- Fix issue where MIDI looper debug output wouldn't print (TEM-316)
- Fix issue where loading a preset followed by a song would cause a crash (TEM-312)
- Fix issue where shake to erase was broken (TEM-307)
- Fix issue with various latency and timing issues (TEM-295, TEM-293, TEM-284, TEM-283)

## Known Issues
- Volume on orba 2 is 'ticky' when adjusting volume up and down (TEM-319)
- Crash when applying quantization to lead (TEM-306)

# 0.3.1

## Built from:

    temari_firmware: 19f28b8 (Orba2), 1b62d62 (OrbaStudio)
	esp32_temari: 1aa43c42
	capsense: 2988ebe

## New Features
- Added code to support selecting presets from the app (TEM-268)
- Added support for volume per part adjustments (TEM-299)
- Loop length increased to 128 bars (TEM-292)

## Bug Fixes
- Fix bug where changing tempo from the app was disabled (TEM-298)
- Fix bug with LEDs not showing during during ESP32 FW update (TEM-288)
- Fixed bug with BLE MIDI not being sent from Temari Unit (TEM-297)

## Known Issues
- May still have timing issues with looper playback. 



# 0.3.0

## Built from:

    temari_firmware: ddb0089 (Orba2), 3c9451b (OrbaStudio)
	esp32_temari: 1aa43c42
	capsense: 2988ebe

## New Features
- Looper is enabled with quantization on by default. 
- Enabled haptic motor 
- Added lookup table based volume adjustent for Orba2 DAC

## Bug Fixes
- Fixed issues with volume not displaying properly during volume changes
- Fixed issue with LEDs not showing during capsense update.
- Various speed issues / optimizations
- Fixed issue with DAC not unmuting when changing modes occasionally
- Various fixes around sample loading / preset loading

## Known Issues
- LEDs don't show during ESP32 update



# 0.2.0

## Built from:

    temari_firmware: 3310156
	esp32_temari: 1aa43c42
	capsense: 2988ebe

## Compatibility

    Orba Studio Labelled units only!

## New Features
- Enabled Looper
- Optional Sample playback if eMMC has samples loaded
- Serial number field reports default serial number instead of invalid serial number

## Bug Fixes

## Known Issues
- Haptic motor doesn't work
- LEDs don't show when volume is adjusted



